Package org.apache.qpid.proton.amqp.transport

# Enum DeliveryState.DeliveryStateType

java.lang.Object
java.lang.Enum<DeliveryState.DeliveryStateType>
org.apache.qpid.proton.amqp.transport.DeliveryState.DeliveryStateType

All Implemented Interfaces:
  `Serializable`, `Comparable<DeliveryState.DeliveryStateType>`

Enclosing interface:
  DeliveryState

public static enum DeliveryState.DeliveryStateType extends Enum<DeliveryState.DeliveryStateType>

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Accepted`
`Declared`
`Modified`
`Received`
`Rejected`
`Released`
`Transactional`

## Method Summary

Modifier and Type
Method
Description
`static DeliveryState.DeliveryStateType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static DeliveryState.DeliveryStateType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Accepted

public static final DeliveryState.DeliveryStateType Accepted

### Declared

public static final DeliveryState.DeliveryStateType Declared

### Modified

public static final DeliveryState.DeliveryStateType Modified

### Received

public static final DeliveryState.DeliveryStateType Received

### Rejected

public static final DeliveryState.DeliveryStateType Rejected

### Released

public static final DeliveryState.DeliveryStateType Released

### Transactional

public static final DeliveryState.DeliveryStateType Transactional

## Method Details

### values

public static DeliveryState.DeliveryStateType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static DeliveryState.DeliveryStateType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null